<div class="banner-interno" fxLayout="row wrap" fxLayoutAlign="center end" fxLayoutAlign.gt-sm="start end">

    <div fxFlex="100">
        <div class="container">
            <h1>Registro</h1>
        </div>
    </div>

</div>
<div class="container" fxLayout="row wrap" fxLayoutAlign="center center">
    <mat-card fxFlex.gt-sm="30" fxFlex.gt-xs="70" fxFlex="95">
        <mat-card-header>
            <mat-card-title>Formulario de Registro</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <form [formGroup]="registerForm" (ngSubmit)="onSubmitRegister()" fxLayout="column">
                <!--<mat-form-field appearance="outline">
                    <mat-label>Nombres</mat-label>
                    <input matInput formControlName="first_name">
                    <mat-error *ngIf="errorHandling('first_name', 'required')">El campo Nombres es requerido</mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Apellidos</mat-label>
                    <input matInput formControlName="last_name">
                    <mat-error *ngIf="errorHandling('last_name', 'required')">El campo Apellidos es requerido</mat-error>
                </mat-form-field>-->
                <!-- <mat-form-field>
                    <mat-label>Documento</mat-label>
                    <input>
                </mat-form-field> -->

                <!-- <mat-form-field fxLayout="column" appearance="outline">
                    <mat-label>Seleccione si es persona natural o juridica</mat-label>
                    <mat-select >
                        <mat-option >Tipo persona</mat-option>
                    </mat-select>
                    <mat-error>Seleccione si es persona natural o juridica</mat-error>
                </mat-form-field> -->
                <mat-form-field appearance="outline">
                    <mat-select formControlName="tipoUsuario" placeholder="Tipo Persona">
                        <mat-option [value]="persona" *ngFor="let persona of tipoPersona">{{persona}}</mat-option>
                    </mat-select>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <input matInput formControlName="documentNo" placeholder="Cedula o Nit">
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Correo</mat-label>
                    <input matInput formControlName="email">
                    <mat-error *ngIf="errorHandling('email', 'required')">El campo Correo es requerido</mat-error>
                    <mat-error *ngIf="errorHandling('email', 'required')">Correo no valido</mat-error>
                </mat-form-field>
                <!--
                <mat-form-field appearance="outline">
                    <mat-label>Whatsapp</mat-label>
                    <input matInput formControlName="whatsapp">
                </mat-form-field>
-->
                <mat-form-field appearance="outline">
                    <input matInput placeholder="Ingresa contraseña" [type]="hide ? 'password' : 'text'" formControlName="password">
                    <button type="button" mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="hide?'Hide password':'show password'" [attr.aria-pressed]="hide">
                      <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                    </button>
                </mat-form-field>
                <mat-form-field appearance="outline">
                    <mat-label>Confirmar contraseña</mat-label>
                    <input matInput [type]="hideConf ? 'password' : 'text'" placeholder="password" formControlName="confirm" [errorStateMatcher]="confirmErrorMatcher">
                    <button type="button" mat-icon-button matSuffix (click)="hideConf = !hideConf" [attr.aria-label]="hideConf ? 'Hide password': 'show password'" [attr.aria-pressed]="hide">
                      <mat-icon>{{hideConf ? 'visibility_off' : 'visibility'}}</mat-icon>
                    </button>
                    <mat-error>Error: {{ getErrorMessage('confirm') }}</mat-error>
                </mat-form-field>
                <button mat-button type="submit" [disabled]="!registerForm.valid || submitted">Registrar</button>
                <br>
                <br>
            </form>
        </mat-card-content>
    </mat-card>
</div>